services:
  webapp:
    build:
      context: ".."
      dockerfile: "backend/Dockerfile"
      target: "development"
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:aio-local"
    environment:
      DJANGO_SETTINGS_MODULE: "hotpocket_backend.settings.aio"
      HOTPOCKET_BACKEND_ENV: "${HOTPOCKET_BACKEND_ENV:-aio}"
      HOTPOCKET_BACKEND_APP: "webapp"
      HOTPOCKET_BACKEND_DEBUG: "false"
      HOTPOCKET_BACKEND_SECRET_KEY: "thisisntright"
      HOTPOCKET_BACKEND_DATABASE_PAYLOAD: '{"engine":"django.db.backends.sqlite3","name":"/srv/run/hotpocket-backend-aio.sqlite"}'
      HOTPOCKET_BACKEND_CELERY_IGNORE_RESULT: "true"
      HOTPOCKET_BACKEND_CELERY_ALWAYS_EAGER: "true"
      HOTPOCKET_BACKEND_GUNICORN_WORKERS: "2"
      HOTPOCKET_BACKEND_INITIAL_ACCOUNT_USERNAME: "hotpocket"
      HOTPOCKET_BACKEND_INITIAL_ACCOUNT_PASSWORD: "hotpocketm4st3r"
      HOTPOCKET_BACKEND_RUN_MIGRATIONS: "true"
      HOTPOCKET_BACKEND_UPLOADS_PATH: "/srv/run/uploads"
    volumes:
      - "./run:/srv/run"
    networks:
      default:
        aliases:
          - "backend-webapp.hotpocket.work.bthlabs.net"
    restart: "unless-stopped"
    stdin_open: true
    tty: true
